## polyglot 0.1.1

=== DESCRIPTION ===
Package: polyglot
Type: Package
Title: Learn Foreign Language Vocabulary
Version: 0.1.1
Authors@R: person("Félix", "Luginbuhl", email = "felix.luginbuhl@protonmail.ch", role = c("aut", "cre"))
Description: Use the R console as an interactive learning environment to memorize any two columns dataset.
License: GPL-3
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.0.1
Suggests: knitr, rmarkdown
Imports: utils
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2018-03-16 17:06:38 UTC; Felix
Author: Félix Luginbuhl [aut, cre]
Maintainer: Félix Luginbuhl <felix.luginbuhl@protonmail.ch>
Repository: CRAN
Date/Publication: 2018-03-19 09:50:18 UTC

## polyglot 0.1.2

=== DESCRIPTION ===
Package: polyglot
Type: Package
Title: Learn Foreign Language Vocabulary
Version: 0.1.2
Authors@R: person("Félix", "Luginbuhl", email = "felix.luginbuhl@protonmail.ch", role = c("aut", "cre"))
Description: Use the R console as an interactive learning environment to memorize any two columns dataset.
Depends: R (>= 2.15.1)
License: GPL-3
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.0.1
Suggests: knitr, rmarkdown
Imports: utils
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2018-03-19 10:54:38 UTC; Felix
Author: Félix Luginbuhl [aut, cre]
Maintainer: Félix Luginbuhl <felix.luginbuhl@protonmail.ch>
Repository: CRAN
Date/Publication: 2018-03-19 15:03:52 UTC

## polyglot 0.2.1

=== DESCRIPTION ===
Package: polyglot
Type: Package
Title: Learn Foreign Language Vocabulary
Version: 0.2.1
Authors@R: person("Félix", "Luginbuhl", email = "felix.luginbuhl@protonmail.ch", role = c("aut", "cre"))
Description: Use the R console as an interactive learning environment to memorize any two columns dataset.
Depends: R (>= 2.15.1)
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.0
Imports: utils, magick
NeedsCompilation: no
Packaged: 2018-11-01 15:09:31 UTC; Felix
Author: Félix Luginbuhl [aut, cre]
Maintainer: Félix Luginbuhl <felix.luginbuhl@protonmail.ch>
URL: https://github.com/lgnbhl/polyglot
BugReports: https://github.com/lgnbhl/polyglot/issues
Repository: CRAN
Date/Publication: 2018-11-01 15:20:02 UTC

## polyglot 0.3.0

=== DESCRIPTION ===
Package: polyglot
Type: Package
Title: Learn Foreign Language Vocabulary
Version: 0.3.0
Authors@R: person("Félix", "Luginbuhl", email = "felix.luginbuhl@protonmail.ch", role = c("aut", "cre"))
Description: Use the R console as an interactive learning environment to memorize any two columns dataset.
Depends: R (>= 3.2.0)
License: GPL-3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.0
Imports: utils, magick, pins
NeedsCompilation: no
Packaged: 2020-05-18 08:10:05 UTC; Felix
Author: Félix Luginbuhl [aut, cre]
Maintainer: Félix Luginbuhl <felix.luginbuhl@protonmail.ch>
URL: https://felixluginbuhl.com/polyglot,
        https://github.com/lgnbhl/polyglot
BugReports: https://github.com/lgnbhl/polyglot/issues
Repository: CRAN
Date/Publication: 2020-05-18 08:20:02 UTC

## polyglot 1.3

=== Makefile ===

# files

EXE = polyglot

OBJS = adapter.o attack.o board.o book.o book_make.o colour.o engine.o epd.o \
       fen.o game.o hash.o io.o line.o list.o main.o move.o move_do.o \
       move_gen.o move_legal.o option.o parse.o pgn.o piece.o posix.o \
       random.o san.o search.o square.o uci.o util.o

# rules

all: $(EXE) .depend

clean:
	$(RM) *.o .depend

# general

CXX       = g++
CXXFLAGS  = -pipe
LDFLAGS   = -lm

# warnings

# CXXFLAGS += -ansi -pedantic -Wall

# CXXFLAGS += -W -Waggregate-return -Wcast-align -Wdisabled-optimization \
#             -Winline -Wno-long-long -Wredundant-decls -Wshadow -Wundef \
#             -Wwrite-strings

# C++

CXXFLAGS += -fno-exceptions -fno-rtti

# optimisation

CXXFLAGS += -O2
CXXFLAGS += -fomit-frame-pointer
# CXXFLAGS += -mcpu=athlon-xp

# debug

CXXFLAGS += -g # -DDEBUG
LDFLAGS  += -g

# profile

# CXXFLAGS += -pg
# LDFLAGS  += -pg

# strip

LDFLAGS  += -s

# dependencies

$(EXE): $(OBJS)
	$(CXX) $(LDFLAGS) -o $@ $(OBJS)

%.s: %.cpp
	$(CXX) -S $(CXXFLAGS) $<

.depend:
	$(CXX) -MM $(OBJS:.o=.cpp) > $@

include .depend

## polyglot 1.4.66b

=== debian/changelog ===
polyglot (1.4.66b-1) unstable; urgency=low

  * New upstream version with:
    - Bugfix: dump-book with -color black generated the file 
      book_white.txt
  * Set standards version to 3.9.2 in control with no changes.

 -- Oliver Korff <ok@xynyx.de>  Fri, 13 May 2011 08:48:14 +0200

polyglot (1.4.64b-2) unstable; urgency=low

  * After the release nothing stands against uploading to unstable
    anymore.

 -- Oliver Korff <ok@xynyx.de>  Fri, 11 Feb 2011 18:44:40 +0100

polyglot (1.4.64b-1) experimental; urgency=low

  * New upstream version
  * Main upstream news: Support for egtpath gaviota, all other 
    changes seem to be bugfixes. See manpage for usage.

 -- Oliver Korff <ok@xynyx.de>  Thu, 10 Feb 2011 10:41:02 +0100

polyglot (1.4.61b-1) experimental; urgency=low

  * Switch to new source format 3.0 (quilt), this is because I have 
    to deal with an upstream debian/ directory.
  * This package now comes with a new and clean rules file
  * New upstream version with: 
    - Bugfixes and 
    - The result string after an illegal move now shows the actual 
    attempted move.
  * Update to Standards-Version 3.9.1

 -- Oliver Korff <ok@xynyx.de>  Sat, 09 Oct 2010 11:01:38 +0200

polyglot (1.4.58b-1) unstable; urgency=low

  * New upstream version, with: Implementation of BookDepth in 
    UCI mode, small corrections to the manpage and a first attempt 
    at killing engines that do not react to "quit". 

 -- Oliver Korff <ok@xynyx.de>  Thu, 20 May 2010 17:35:03 +0200

polyglot (1.4.56b-1) unstable; urgency=low

  * New upstream version, fixes a bug on linux with a not existing 
    engine command

 -- Oliver Korff <ok@xynyx.de>  Sat, 16 Jan 2010 10:52:58 +0100

polyglot (1.4.55b-1) unstable; urgency=low

  * New upstream version
  * Adjusted doc-base format, added index and ID field
  * Update to standards version 3.8.3
  * The sourcecode was repackaged to get rid of the upstream debian
    directory, It is included as debian-orig.tar.gz 
  * The example files have been removed from the upstream sources,
    so I added a toga2.ini. They have been MS-Win specific anyway.
  * http://alpha.uhasselt.be is the new upstream site for some time 
    now, so I added a watchfile

 -- Oliver Korff <ok@xynyx.de>  Tue, 08 Dec 2009 11:06:39 +0100

polyglot (1.4.36b-2) unstable; urgency=low

  * The FEN evaluation was not working. Michel Van Den Bergh sent
    a patch for epd.c 

 -- Oliver Korff <ok@xynyx.de>  Fri, 21 Aug 2009 22:18:15 +0200

polyglot (1.4.36b-1) unstable; urgency=low

  * Bugfix Upload, new upstram release.
  * polyglot had problems to open .ini files, this was 
    fixed by upstream, see changelog for details
  * The sourcecode was repackaged to get rid of the old debian 
    directory, It is included as debian-orig.tar.gz

 -- Oliver Korff <ok@xynyx.de>  Wed, 12 Aug 2009 09:27:24 +0200

polyglot (1.4.34b-1) unstable; urgency=low

  * New Upstream version: Michel Van den Bergh 
    <michel.vandenbergh@uhasselt.be> is now maintaining and
    enhancing polyglot
  * Keeping much of the good upstream packaging including
    the "unofficial" changelog history 

 -- Oliver Korff <ok@xynyx.de>  Tue, 11 Aug 2009 11:39:15 +0200

polyglot (1.4.34b) unofficial; urgency=low

  * Allow spaces around "=" in "option =" commands.
	
  * WbWorkArounds is now true by default.
	
  * Trying to set a non existent UCI option gives an error. 
	
  * PG will now resign in case of an illegal engine move. 
	
  * More code has been moved into the I/O abstraction layer pipex. This has reduced to win32 dependence of utils.c
	
  * info strings and unrecognized info lines are relayed to the GUI.

 -- Michel Van den Bergh <michel.vandenbergh@uhasselt.be>  Thu, 6 Aug 2009 20:00:00 +0100

polyglot (1.4.33b) unofficial; urgency=low

  * New option: "WbWorkArounds". Currently it blocks options which contain "Draw" in their name from being sent to the GUI. Engines that have such options are Rybka and HIARCS. 
	
  * Bugfix for ASSERT failure in bright. Now another ASSERT failure has appeared which seems to be bright's fault however. 
	
 -- Michel Van den Bergh <michel.vandenbergh@uhasselt.be>  Thu, 6 Aug 2009 20:00:00 +0100

polyglot (1.4.32b) unofficial; urgency=low

  * Bugfix: the default setting for RepeatPV had become false again...

 -- Michel Van den Bergh <michel.vandenbergh@uhasselt.be>  Tue, 4 Aug 2009 14:00:00 +0100

polyglot (1.4.31b) unofficial; urgency=low

  * Bugfix: improper handling of vararg function.
	
 -- Michel Van den Bergh <michel.vandenbergh@uhasselt.be>  Sun, 2 Aug 2009 11:00:00 +0100

polyglot (1.4.30b) unofficial; urgency=low

  * Some more meaningful error messages added.
  * Some buffer overflow checks added.	
  * Simplification of strange signal kludge in gui.c. 
  * Removal of obsolete code in engine.c and gui.c. Platform specific code has been abstracted and pushed into pipex_win32.c and pipex_posix.c
  * The format of the version number has changed once again. Debian was unhappy with the previous one.
	
 -- Michel Van den Bergh <michel.vandenbergh@uhasselt.be>  Sun, 2 Aug 2009 16:00:00 +0100

polyglot (1.4b29) unofficial; urgency=low

  * Conversion from C++ to C (suggested by E.M.).
	
  * More refactoring. The win32 and posix I/O have now a uniform interface (see pipex.h). 

 -- Michel Van den Bergh <michel.vandenbergh@uhasselt.be>  Fri, 31 Jul 2009 10:00:00 +0100

polyglot (1.4b28) unofficial; urgency=low

  * Some comments added to explain the exact behaviour of some of the public functions in pipe.cpp. 
  * LineInput now returns a bool which is FALSE in case of EOF. 

 -- Michel Van den Bergh <michel.vandenbergh@uhasselt.be>  Fri, 31 Jul 2009 10:00:00 +0100
	

polyglot (1.4b27) unofficial; urgency=low

  * Option "ScoreWhite" : report score from white's point of view (suggested by E.M.).
	
  * Option "KibitzInterval" : try to wait this many seconds between kibitzes (suggested by E.M.).

 -- Michel Van den Bergh <michel.vandenbergh@uhasselt.be>  Sun, 26 Jul 2009 10:00:00 +0100



## polyglot 1.4.67b

=== debian/changelog ===
polyglot (1.4.67b-1) unstable; urgency=low

  * New upstream version with:
    - Disable "book learning". Polyglot saves learning information 
      but does not use it itself, probably for a reason. I believe 
      the booklearning concept of Polyglot is fundamentally broken.

 -- Oliver Korff <ok@xynyx.de>  Fri, 14 Oct 2011 11:39:21 +0200

=== debian/control ===
Source: polyglot
Section: games
Priority: optional
Maintainer: Oliver Korff <ok@xynyx.de>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.2
Homepage: http://alpha.uhasselt.be/Research/Algebra/Toga/polyglot-release

Package: polyglot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: fruit | glaurung | toga2 | stockfish
Description: chess engine protocol adaptor, connects UCI engines to xboard 
 Common chess frontends have a winboard/xboard input interface, modern 
 chess engines speak the UCI "universal chess interface" protocol. This 
 protocol adaptor makes it possible to use standard chess frontends, like 
 xboard or scid with UCI speaking engines and play chess against them.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_configure: 
	dh_auto_configure -- --bindir /usr/games

## polyglot 2.0.1+git20140926

=== debian/changelog ===
polyglot (2.0.1+git20140926-1) unstable; urgency=medium

  * New upstream version
    - Syzygy EGTs Support
    - book learning
    - A lot of UCI Changes
  * Adjusted copyright
    - The sources are now maintained by H.G. Muller of xboard
  * Thanks to Sebastian Pipping for pointing me to the sources
  * Compat level 9 to import hardening flags
  * Update to Standards Version 3.9.5


 -- Oliver Korff <ok@xynyx.de>  Fri, 26 Sep 2014 20:13:49 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: games
 Priority: optional
 Maintainer: Oliver Korff <ok@xynyx.de>
-Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.5
 Homepage: http://alpha.uhasselt.be/Research/Algebra/Toga/polyglot-release
 
 Package: polyglot

## polyglot 2.0.4

=== debian/changelog ===
polyglot (2.0.4-2) unstable; urgency=medium

  * Standards 4.1.5 (no real change).
  * Debhelper compatibility level increased to 10.

 -- Milan Zamazal <pdm@debian.org>  Wed, 11 Jul 2018 15:26:06 +0200

polyglot (2.0.4-1) unstable; urgency=low

  * New upstream version.
  * New maintainer; closes: #835310.
  * Obsolete homepage removed (there is no homepage known to me).
  * Download location updated.
  * Standards 3.9.8 (no real change).
  * Call dh with autoreconf.

 -- Milan Zamazal <pdm@debian.org>  Sat, 19 Nov 2016 19:57:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: polyglot
 Section: games
 Priority: optional
-Maintainer: Oliver Korff <ok@xynyx.de>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.5
-Homepage: http://alpha.uhasselt.be/Research/Algebra/Toga/polyglot-release
+Maintainer: Milan Zamazal <pdm@debian.org>
+Build-Depends: debhelper (>= 10)
+Standards-Version: 4.1.5
 
 Package: polyglot
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ 
+	dh $@
 
 override_dh_auto_configure: 
 	dh_auto_configure -- --bindir /usr/games

## polyglot 2.0.4+git20210322

=== debian/changelog ===
polyglot (2.0.4+git20210322-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 15. (Closes: #1097632)

 -- Adrian Bunk <bunk@debian.org>  Thu, 23 Oct 2025 19:19:40 +0300

polyglot (2.0.4+git20210322-1) unstable; urgency=medium

  * New upstream snapshot; closes: #985657.
  * Standards 4.5.1 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Mon, 29 Mar 2021 20:43:40 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Milan Zamazal <pdm@debian.org>
 Build-Depends: debhelper (>= 10)
-Standards-Version: 4.1.5
+Standards-Version: 4.5.1
 
 Package: polyglot
 Architecture: any

=== debian/watch ===
version=3

http://alpha.uhasselt.be/Research/Algebra/Toga/polyglot-release/polyglot-(.*)\.tar\.gz

## polyglot piranha-0.3.0

=== legacy/objc/src/XPFlagRefactoring/CMakeLists.txt ===
# If we don't need RTTI or EH, there's no reason to export anything
# from the plugin.
if( NOT MSVC ) # MSVC mangles symbols differently, and
               # XPFlagRefactoring.export contains C++ symbols.
  if( NOT LLVM_REQUIRES_RTTI )
    if( NOT LLVM_REQUIRES_EH )
      set(LLVM_EXPORTED_SYMBOL_FILE ${CMAKE_CURRENT_SOURCE_DIR}/XPFlagRefactoring.exports)
    endif()
  endif()
endif()

add_llvm_library(XPFlagRefactoring MODULE XPFlagRefactoring.cpp PLUGIN_TOOL clang)

if(LLVM_ENABLE_PLUGINS AND (WIN32 OR CYGWIN))
  target_link_libraries(XPFlagRefactoring PRIVATE
    clangAST
    clangBasic
    clangFrontend
    LLVMSupport
    )
endif()
